/***************************************************************************
                          configdialog.h  -  description
                             -------------------
    begin                : Fri Jun 25 2004
    copyright            : (C) 2004 by David Pye
    email                : dmp@davidmpye.dyndns.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 D*   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include <qvaluelist.h>

class Server;
class QString;

/**
  *@author David Pye
  */

class Settings  {
public: 
	Settings();
	~Settings();
	
	void loadSettings();
	void saveSettings();
	
	QString tempDir, destDir;
	bool skipDownloadedFiles, removeCompletedItemsFromQueue, 
	     closeAppWhenComplete, dockToSystray, treePerNzb;
	
	QValueList<Server*> serverList;

private:
	void emptyServerList();

};

#endif
